Public Member Functions | Public Attributes | List of all members
Level::VSpan Struct Reference

`#include <level.h>`

## Public Member Functions
| VSpan ()
void | clear ()
bool | isAssigned () const

## Public Attributes
LocalIndex | _numFaces
LocalIndex | _startFace
unsigned short | _periodic: 1
unsigned short | _sharp: 1

## Detailed Description

Definition at line 167 of file level.h.

## Constructor & Destructor Documentation

## § VSpan()

VSpan | ( |  | ) |
| inline

Definition at line 168 of file level.h.

## Member Function Documentation

## § clear()

void clear | ( |  | ) |
| inline

Definition at line 170 of file level.h.

## § isAssigned()

bool isAssigned | ( |  | ) | const
| inline

Definition at line 171 of file level.h.

## Member Data Documentation

## § _numFaces

LocalIndex _numFaces

Definition at line 173 of file level.h.

## § _periodic

unsigned short _periodic

Definition at line 176 of file level.h.

## § _sharp

unsigned short _sharp

Definition at line 177 of file level.h.

## § _startFace

LocalIndex _startFace

Definition at line 174 of file level.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/level.h